const state = {
  topinfo: {},
  checkinfo: {},
  payList: {},
  newStudentList: {},
  buildIndex:'',
  draftIndex:''
}

const mutations = {
  SET_TOPINFO (state, topinfo) {
    state.topinfo = topinfo
  },
  SET_CHRCK (state, checkinfo) {
    state.checkinfo = checkinfo
  },
  SET_PAY (state, payList) {
    state.payList = payList
  },
  SET_NEW_STUDENT (state, newStudentList) {
    state.newStudentList = newStudentList
  },
  SET_BUILD_INDEX(state,buildIndex){
    state.buildIndex = buildIndex
  },
  SET_DRAFT_INDEX(state,draftIndex){
    state.draftIndex = draftIndex
  }


}
const actions = {
  topinfo ({ commit }, topinfo) {
    commit('SET_TOPINFO', topinfo)
  },
  checkinfo ({ commit }, checkinfo) {
    commit('SET_CHRCK', checkinfo)
  },
  getpayInfo ({ commit }, payList) {
    commit('SET_PAY', payList)
  },
  newStudentinfo ({ commit }, newStudentList) {
    commit('SET_NEW_STUDENT', newStudentList)
  },
  buildIndex({commit},buildIndex){
    commit('SET_BUILD_INDEX', buildIndex)
  },
  draftIndex({commit},draftIndex){
    commit('SET_DRAFT_INDEX', draftIndex)
  }
}
export default {
  state,
  mutations,
  actions
}
